/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * This dmraid code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * dmraid is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this dmraid library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

#ifndef	_INTERNAL_H_
#define	_INTERNAL_H_

#include <ctype.h>
#include <fcntl.h>
#include <inttypes.h>
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <stdint.h>
#include "misc/lib_context.h"
#include "datastruct/list.h"
#include "log/log.h"
#include "mm/dbg_malloc.h"
#include "misc/misc.h"
#include "display/display.h"
#include "device/dev-io.h"
#define FORMAT_HANDLER
#include "format/format.h"
#undef FORMAT_HANDLER
#include "metadata/metadata.h"
#include "activate/activate.h"
#include "activate/devmapper.h"

#ifndef	u_int16_t
#define	u_int16_t	uint16_t
#endif

#ifndef	u_int32_t
#define	u_int32_t	uint32_t
#endif

#ifndef	u_int64_t
#define	u_int64_t	uint64_t
#endif

#define min(a, b) a <= b ? a : b
#define max(a, b) a > b ? a : b
#define ARRAY_SIZE(a)   (sizeof(a) / sizeof(a[0]))

#endif
