/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * This dmraid code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * dmraid is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this dmraid code; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

#ifndef _TOOLLIB_H_
#define _TOOLLIB_H_

extern char **format_names;

struct lib_context;
int  activate_sets(struct lib_context *lc, int arg);
void build_sets(struct lib_context *lc, char **sets);
void format_error(char **fmt_names, const char *error);
void free_format_names(void);
void str_tolower(char *s);
int  valid_format(struct lib_context *lc, char *fmt,
		  char ***fmt_names, char **invalid);

#endif
